Class | Bio::Blast::Bl2seq::Report::Iteration
In: | lib/bio/appl/bl2seq/report.rb
Parent: | Bio::Blast::Default::Report::Iteration

Bio::Blast::Bl2seq::Report::Iteration stores information about a iteration. Normally, it may contain some Bio::Blast::Bl2seq::Report::Hit objects.

Note that its main existance reason is to keep complatibility between Bio::Blast::Default::Report::* classes.

### Methods

hits new

### Public Class methods

new(data)

Creates a new Iteration object. It is designed to be called only internally from the Bio::Blast::Default::Report class. Users shall not use the method directly.

[Source]

         # File lib/bio/appl/bl2seq/report.rb, line 92
     92:         def initialize(data)
     93:           @f0stat = []
     94:           @f0dbstat = Bio::Blast::Default::Report::AlwaysNil.instance
     95:           @hits = []
     96:           @num = 1
     97:           while r = data[0] and /^\>/ =~ r
     98:             @hits << Hit.new(data)
     99:           end
    100:         end

### Public Instance methods

hits()

Returns the hits of the iteration. It returns an array of Bio::Blast::Bl2seq::Report::Hit objects.

[Source]

         # File lib/bio/appl/bl2seq/report.rb, line 104
    104:         def hits; @hits; end

[Validate]